@import '~scss/_variables';
// @import '~scss/styles';

h2 {
  width: 200px;
  height: 2px;
  background-color: #222222;
}

hr {
  width: 200px;
  height: 1px;
  background-color: #222222;
  margin-left: 0;
}


.card {
  width: 100vw;
  padding-left: 4%;
  padding-right: 4%;
  border: 0 solid #FFF;
  height: 220px;
  margin-top: 21px;
  margin-bottom: 20px;
  background-color: transparent;
  box-shadow: none;
}

.card-body{
  padding: 1.25rem;
}


.provider {
  font-size: 1.5rem;
  min-height: 550px;
}

.card-img {
  position: absolute;
  left: 0;
  bottom: 0;
  padding: 3px;
}

.card-subtitle {
  font-family: $font-header;
  font-size: 18px;
  font-weight: bolder;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #4d4d4d;
}

.card-text {
  font-family: $font-content;
  font-size: 16px;
  font-weight: normal;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #222222;
  overflow: hidden;
}

.image-container {
  text-align: center;
}

.provider-img {
  max-width: 95%;
  max-height: 26.6668vw;
  padding: 5.33vw 0;
}

.provider-name {
  font-weight: bold;
  width: 100%;
  padding: 2.665vw 0 1.333vw;
}

.provider-description {
  padding-bottom: 90px;
}

.provider-ratings {
  padding: 2.665vw 0 1.333vw;
  font-size: 1.5rem;
  position: absolute;
  bottom: 0;
}

.provider-stars {
  padding-right: 2.665vw;
}

.rating-icon {
  color: $primary-color;
}

article:hover {
  cursor: pointer;
}
//::::::::::::::::::::::::::::::::::::::::::::::::::::
//Bootstrap 4 breakpoints
/*
Extra small devices (portrait phones, less than 544px)
No media query since this is the default in Bootstrap because it is "mobile first"
*/
/* Small devices (landscape phones, 544px and up) */
@media (max-width: 350px) {}
@media (min-width: 544px) {}
/* Medium devices (tablets, 768px and up) The navbar toggle appears at this breakpoint */
@media (min-width: 768px) {
  .card {
    width: 465px;
  }
}
/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
  .provider-img {
    padding: 3vh;
  }
}
/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {}
//@include media-breakpoint-up(sm) {
//  .card {
//    width: 50%;
//  }
//}

.service-card {
  max-height: 345px;
  background-color: #ace2dd;
  -webkit-transition: all 250ms;
  -moz-transition: all 250ms;
  transition: all 250ms;

  &:hover {
    box-shadow: 0 9px 10px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
  }
}

.service-card-tag {
  background-color: #ffffff;
  position: relative;
  height: 180px;
}
